#!/usr/bin/env sh
# shellcheck source=onedatify/onedatify

console_main() {
  . "${onedatify_config_dir}/config.sh" 
  if ! config_main validate 1; then
    echo "ERROR. Configuration is not complete or contain errors. Please run onedatify config to fix it"
    exit 1
  fi
  
    $sh_c "docker run \
    -it \
    -e TERM=xterm \
    -e ONEPANEL_HOST=\"https://$config_fqdn:9443\" \
    -e ONEPROVIDER_HOST=\"https://$config_fqdn\" \
    -e ONEPANEL_BASIC_AUTH=\"onepanel:$config_admin_password\" \
    --rm \
    \"$rest_cli_docker_image\""
}

